Bug 187987 - IME should ignore vowel as first character when composing character
Summary: IME should ignore vowel as first character when composing character
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: scim-hangul (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Hu Zheng
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature, i18n
Depends On:
Blocks: SCIM
TreeView+ depends on / blocked
 
Reported: 2006-04-05 05:32 UTC by Lawrence Lim
Modified: 2014-03-26 00:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 09:45:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lawrence Lim 2006-04-05 05:32:07 UTC
Description of problem:
Through jko's explaination, understand that vowel always combine with consonent
and vowel by itself has no meaning. Currently IME allows user to enter vowel
follow by a consonent, the end result may not be ideal. For example,

const R + vowel H = ê³  (correct)
vowel H + const R = ê³  (correct however, in alternative OS, it is represented as
,ãã±, 2 distinct chars)

RMR + const R + vowel M =극그(correct)
RMR + vowel M + const R =그극(incorrect)

Version-Release number of selected component (if applicable):
scim-hangul-0.2.1-3.fc5.1

How reproducible:
Always

Steps to Reproduce:
1.reproduce the examples above in gedit
2.
3.
  
Actual results:
allowing first char as vowel when composing char can result in the wrong output

Expected results:
start to compose char if the first char is consonent?

Additional info:

Comment 1 Akira TAGOH 2006-04-06 06:44:34 UTC
Can you file a bug to upstream as well?

Comment 3 Jens Petersen 2007-12-18 07:17:33 UTC
The response was:

> Date: 2006-04-21 00:08
> Sender: hwanjin
> 
> It's a feature. More intellegent composing.
> Currently many other open source hangul im implementations
> are also support such feature.
> And many koreans are satisfied with it.

So probably this can be closed.


Note You need to log in before you can comment on or make changes to this bug.